rax-nova-agent 2.1.15-0ubuntu1~16.04.1 source package in Ubuntu

Changelog

rax-nova-agent (2.1.15-0ubuntu1~16.04.1) xenial; urgency=medium

  * debian/rules: Use dh --with systemd to add .service handling to maintainers cripts

rax-nova-agent (2.1.15-0ubuntu1~16.04.0) xenial; urgency=medium

  * Rebuild for Xenial
  * Use compat level 9 build-depending on debhelper (>= 9) and dh-systemd
  * Use DefaultDependencies=no to prevent forming service ordering cycles
    (LP: #1788716)
  * Clean up after rax-openstack-guest-agents in postinst

rax-nova-agent (2.1.15-0ubuntu1) cosmic; urgency=medium

  * New upstream version 2.1.15 (LP: #1783614)
  * debian/gbp.conf: Declare repository layout
  * Refresh patches

rax-nova-agent (2.1.13-0ubuntu3) bionic; urgency=medium

  * Drain the events queue, until there are no more events, for at least 3
    iterations, before sending started notification. LP: #1765057

rax-nova-agent (2.1.13-0ubuntu2) bionic; urgency=medium

  * Drop xenstore-utils dependency, in favor of ordering after
    proc-xen.mount.
  * Demote xe-guest-utilities to Suggests, until after MIR is done.

rax-nova-agent (2.1.13-0ubuntu1) bionic; urgency=medium

  * Switch to watching upstream releases on GitHub
  * New upstream version 2.1.13
    - Added Netplan support
  * Build-depend on python3-yaml
  * Skip tests newly failing due to lack of proper netplan support
  * Make python3-novaagent depend on xenstore-utils (LP: #1762718)
    Thanks to Dimitri John Ledkov
  * Depend on needed packages: xe-guest-utilities, xenstore-utils and cloud-init
  * Pick configuration files shipped originally in rax-openstack-guest-agents.
    Disable cloud-init network configuration, as nova-agent will do it.
    Override xe-daemon.service unit so that it also avoids default dependencies
    creating systemd's dependency loops with cloud-init.
    Give syslog write access to the kernel logs
  * Don't restart nova-agent service on upgrade
  * Fix nova-agent.service using upstream patches, using notify and local
    .service changes, thanks to Dimitri John Ledkov from some of the patches
  * Depend on python3-systemd which is needed but requiring it as a module
    breaks

rax-nova-agent (2.1.12-0ubuntu2~16.04.0) xenial; urgency=medium

  * Rebuild for Xenial (LP: #1753943)
  * Use compat level 9 build-depending on debhelper (>= 9) and dh-systemd

rax-nova-agent (2.1.12-0ubuntu2) bionic; urgency=medium

  * Make transitional package to be Architecture: all and move it to oldlibs
  * Make the transitional package depend on misc:Depends instead of
    overriding Lintian error

rax-nova-agent (2.1.12-0ubuntu1) bionic; urgency=low

  * Initial release (LP: #1751847)

 -- Balint Reczey <email address hidden>  Mon, 03 Sep 2018 13:35:58 +0200

Upload details

Uploaded by:
Balint Reczey on 2018-09-03
Uploaded to:
Xenial
Original maintainer:
Balint Reczey
Architectures:
all
Section:
python
Urgency:
Medium Urgency

See full publishing history Publishing

Series Pocket Published Component Section

Builds

Xenial: [FULLYBUILT] amd64

Downloads

File Size SHA-256 Checksum
rax-nova-agent_2.1.15.orig.tar.gz 30.8 KiB 938e0aa12cc14897eb06b41da169d9d9b8174c994f63e06b1e957351202ac6c7
rax-nova-agent_2.1.15-0ubuntu1~16.04.1.debian.tar.xz 4.6 KiB ce6e7124014ea934363a37da830a093a59d3f1f62c061fe5c9e8be6885ae9741
rax-nova-agent_2.1.15-0ubuntu1~16.04.1.dsc 2.1 KiB 3f97cac10b85d98ae10feeaf0a304c12957b746f8dde09c33e4a4d6188d93b80

View changes file

Binary packages built by this source

python3-novaagent: Python 3 module for Rackspace Public Cloud Guest Agent

 Python 3 module for hypervisor communication with Rackspace Public Cloud.
 .
 Note that this package is not for general use, it is expected to work only
 in Rackspace's network.

rax-nova-agent: Rackspace Public Cloud Guest Agent

 Required tooling for hypervisor communication with Rackspace Public Cloud.
 .
 Note that this package is not for general use, it is expected to work only
 in Rackspace's network.

rax-openstack-guest-agents: transitional dummy package

 This is a transitional dummy package. It can safely be removed.